> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nevua.markets/llms.txt
> Use this file to discover all available pages before exploring further.

# Search by tags

> Search for events using tag slugs.

You can get the full list of tag slugs using the [/tags Polymarket API endpoint](https://docs.polymarket.com/api-reference/tags/list-tags).




## OpenAPI

````yaml openapi.json post /search/tag-slugs
openapi: 3.0.0
info:
  title: Nevua Markets API
  version: 0.0.1
  license:
    name: ISC
    url: https://opensource.org/licenses/ISC
servers:
  - url: https://api.nevua.markets
    description: Production
security: []
tags: []
paths:
  /search/tag-slugs:
    post:
      tags:
        - Search
      summary: Search by tags
      description: >
        Search for events using tag slugs.


        You can get the full list of tag slugs using the [/tags Polymarket API
        endpoint](https://docs.polymarket.com/api-reference/tags/list-tags).
      operationId: searchByTagSlugs
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SearchTagsJSONRequest'
            example:
              tags:
                - text: sports
                  include: true
                - text: esports
                  include: true
              searchMatchOperator: OR
      responses:
        '200':
          description: Successful search response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SearchJSONResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
components:
  schemas:
    SearchTagsJSONRequest:
      type: object
      properties:
        tags:
          type: array
          items:
            $ref: '#/components/schemas/SearchTag'
        searchMatchOperator:
          $ref: '#/components/schemas/SearchMatchOperator'
      additionalProperties: false
      required:
        - searchMatchOperator
        - tags
    SearchJSONResponse:
      type: array
      items:
        $ref: '#/components/schemas/MatchingEvent'
    SearchTag:
      type: object
      properties:
        tagSlug:
          type: string
        include:
          type: boolean
      additionalProperties: false
      required:
        - tagSlug
    SearchMatchOperator:
      type: string
      enum:
        - AND
        - OR
    MatchingEvent:
      type: object
      properties:
        id:
          description: The event ID
          type: string
        title:
          description: The event title
          type: string
        slug:
          description: The event slug
          type: string
        image:
          description: The event image
          type: string
        type:
          description: The event type
          enum:
            - event
            - market
          type: string
        markets:
          description: The markets associated with the event
          type: array
          items:
            type: object
            properties:
              id:
                description: The market ID
                type: string
              image:
                description: The market image
                type: string
              question:
                description: The market question
                type: string
              outcomes:
                description: Outcomes and outcome prices
                type: string
              outcomePrices:
                type: string
              nevuaSVGLink:
                description: SVG link
                type: string
            additionalProperties: false
            required:
              - id
              - image
              - nevuaSVGLink
              - outcomePrices
              - outcomes
              - question
      additionalProperties: false
      required:
        - id
        - image
        - markets
        - slug
        - title
        - type

````